### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-gallery/ecl-gallery-item.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`EclGalleryItem`

### Metadata

selector | `ecl-gallery-item`
styles | `.ecl-gallery__description { width: 100%; }`
templateUrl | `./ecl-gallery-item.component.html`

### Index

###### Properties

- Public el
- mediaChild
- role

###### Methods

- getDownloadLink
- getUrlExternalVideo
- onItemClick
- getCssClasses

###### Inputs

- description
- icon
- label
- mediaType
- meta
- src
- class
- e2eAttr

###### Outputs

- itemClick

###### HostBindings

- attr.role
- class

###### HostListeners

- click

###### Accessors

- cssClasses
- isImage
- isVideo
- isExternalVideo
- isDownloadable
- isShareable

### Constructor

`constructor(domSanitizer: DomSanitizer, el: ElementRef)`

Parameters :

Name | Type | Optional
domSanitizer | `DomSanitizer` | No
el | `ElementRef` | No

### Inputs

description
Type : `string`

icon
Type : `string`

label
Type : `string`

mediaType
Type : `"image" | "video" | "externalVideo"`
Default value : `'image'`

meta
Type : `string`

src
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

itemClick
Type : `EventEmitter`

### HostBindings

attr.role
Type : `string`
Default value : `'listitem'`

class
Type : `any`

### HostListeners

click
Arguments : `'$event'`
`click(evt: MouseEvent)`

### Methods

getDownloadLink
`getDownloadLink()`
Returns : `string`

getUrlExternalVideo
`getUrlExternalVideo()`
Returns : `any`

onItemClick
`onItemClick(evt: MouseEvent)`
Decorators : `@HostListener('click', ['$event'])`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

Public el
Type : `ElementRef`

mediaChild
Type : `EclGalleryMediaDirective`
Decorators : `@ContentChild(EclGalleryMediaDirective)`

role
Type : `string`
Default value : `'listitem'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

isImage
get `isImage()`

isVideo
get `isVideo()`

isExternalVideo
get `isExternalVideo()`

isDownloadable
get `isDownloadable()`

isShareable
get `isShareable()`

# results matching ""

# No results matching ""